Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.mime
Class QueryStringHeaderSet

    java.lang.Object
      com.vordel.mime.QueryStringHeaderSet

All Implemented Interfaces:
  com.vordel.common.Dictionary, Headers

    public class QueryStringHeaderSet

extends java.lang.Object
implements Headers, com.vordel.common.Dictionary

Class to hold name-value pairs from query string, and message body id content type is application/www-url-encoded-form. This system implements the Header interface over a QueryString

Nested Class Summary
`static class` | `QueryStringHeaderSet.QueryStringHeader`

Nested classes/interfaces inherited from interface com.vordel.common.Dictionary
`com.vordel.common.Dictionary.MapAs`

Constructor Summary
`QueryStringHeaderSet()`

Method Summary
`void` | `addHeader(java.lang.String name, java.lang.String s)`
`boolean` | `containsKey(java.lang.String name)`
`java.lang.String` | `get(java.lang.String name)`
`java.util.Iterator<java.lang.String>` | `getHeaderNames()`
`java.util.Iterator<java.lang.String>` | `getHeaders(java.lang.String name)`
`java.util.Set` | `getHeaderSet()`
`int` | `getHeadersSize(java.lang.String name)`
`java.util.ArrayList<java.lang.String>` | `getHeaderValues(java.lang.String name)`
`protected void` | `purgeContent()`
`void` | `setHeader(java.lang.String name, java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryStringHeaderSet

    public QueryStringHeaderSet()

Method Detail

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String s)

  Specified by:
    `addHeader` in interface `Headers`

### getHeaderNames

    public java.util.Iterator<java.lang.String> getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `Headers`

### getHeaderSet

    public java.util.Set getHeaderSet()

### getHeaderValues

    public java.util.ArrayList<java.lang.String> getHeaderValues(java.lang.String name)

### getHeadersSize

    public int getHeadersSize(java.lang.String name)

  Specified by:
    `getHeadersSize` in interface `Headers`

### getHeaders

    public java.util.Iterator<java.lang.String> getHeaders(java.lang.String name)

  Specified by:
    `getHeaders` in interface `Headers`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String s)

  Specified by:
    `setHeader` in interface `Headers`

### get

    public java.lang.String get(java.lang.String name)

  Specified by:
    `get` in interface `com.vordel.common.Dictionary`

### containsKey

    public boolean containsKey(java.lang.String name)

  Specified by:
    `containsKey` in interface `com.vordel.common.Dictionary`

### purgeContent

    protected void purgeContent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel